Skip to main content
GET
/
v1
/
markets
/
{address}
/
orderbook
Error
A valid request URL is required to generate request examples
{
  "marketAddress": "<string>",
  "yes": {
    "bids": [
      {
        "price": 500,
        "totalQuantity": "<string>",
        "orderCount": 4503599627370495
      }
    ],
    "asks": [
      {
        "price": 500,
        "totalQuantity": "<string>",
        "orderCount": 4503599627370495
      }
    ]
  },
  "no": {
    "bids": [
      {
        "price": 500,
        "totalQuantity": "<string>",
        "orderCount": 4503599627370495
      }
    ],
    "asks": [
      {
        "price": 500,
        "totalQuantity": "<string>",
        "orderCount": 4503599627370495
      }
    ]
  },
  "bestBidYes": 500,
  "bestAskYes": 500,
  "bestBidNo": 500,
  "bestAskNo": 500
}

Documentation Index

Fetch the complete documentation index at: https://docs.aura.markets/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from POST /v1/auth/keys.

Path Parameters

address
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$

Query Parameters

depth
integer
default:20
Required range: 1 <= x <= 100

Response

Default Response

marketAddress
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
yes
object
required
no
object
required
bestBidYes
integer | null
required

Price as integer ticks of 0.001 (0=No, 1000=Yes).

Required range: 0 <= x <= 1000
bestAskYes
integer | null
required

Price as integer ticks of 0.001 (0=No, 1000=Yes).

Required range: 0 <= x <= 1000
bestBidNo
integer | null
required

Price as integer ticks of 0.001 (0=No, 1000=Yes).

Required range: 0 <= x <= 1000
bestAskNo
integer | null
required

Price as integer ticks of 0.001 (0=No, 1000=Yes).

Required range: 0 <= x <= 1000